Fix pkgconfig_generate line for libavcore.
authorStefano Sabatini <stefano.sabatini-lala@poste.it>
Sun, 25 Jul 2010 15:31:25 +0000 (15:31 +0000)
committerStefano Sabatini <stefano.sabatini-lala@poste.it>
Sun, 25 Jul 2010 15:31:25 +0000 (15:31 +0000)
libavcore depends on libavutil, and does not require extralibs.

Originally committed as revision 24500 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index f4fbc7b..5d4f90b 100755 (executable)
--- a/configure
+++ b/configure
@@ -3206,7 +3206,7 @@ EOF
 }
 
 pkgconfig_generate libavutil "FFmpeg utility library" "$LIBAVUTIL_VERSION"
-pkgconfig_generate libavcore "FFmpeg multimedia shared core utilities library" "$LIBAVCORE_VERSION" "$extralibs" "libavcore = $LIBAVCORE_VERSION"
+pkgconfig_generate libavcore "FFmpeg multimedia shared core utilities library" "$LIBAVCORE_VERSION" "" "libavutil = $LIBAVUTIL_VERSION"
 pkgconfig_generate libavcodec "FFmpeg codec library" "$LIBAVCODEC_VERSION" "$extralibs" "libavutil = $LIBAVUTIL_VERSION"
 pkgconfig_generate libavformat "FFmpeg container format library" "$LIBAVFORMAT_VERSION" "$extralibs" "libavcodec = $LIBAVCODEC_VERSION"
 pkgconfig_generate libavdevice "FFmpeg device handling library" "$LIBAVDEVICE_VERSION" "$extralibs" "libavformat = $LIBAVFORMAT_VERSION"